Subject: bug#19822: url-retrieve: allow to fail when no document is associated with the URI

From: Stefan Kangas <[email-masked]>
Date: Tue, 1 Oct 2019 15:19:28 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Of these, file:, http:, https:, data: and ftp: are the only ones that
> are useful.
>
> But on consideration, perhaps it's just best to leave them all as they
> are to smoulder.  As you may remember, there's a with-fetched-url branch
> that reimplements the entire URL interface, and it only supports the
> modern schemes.  (I'm planning on merging when master goes to Emacs 28.)
>
> So we can leave the url.el interfaces alone as a backwards-compatible
> stuff and then pension off the entire url.el machinery in, say, Emacs 34.

I don't feel very strongly about this, but I'm curious: Why don't you
want to obsolete at least some of them?  I think they add user
confusion and are just not very helpful.

Personally, I wouldn't mind a middle ground here: to only obsolete the
very low hanging fruit.  To be more concrete, it doesn't seem to me
that it would take much effort to immediately obsolete url-irc.el,
url-news.el, url-imap.el and url-ns.el.

I could volunteer to cook up a patch if that's indeed something we
want to do.  Otherwise, I suggest to close this bug report as wontfix.

Best regards,
Stefan Kangas